Bug 591395 - patch to mount gfs filesystem with fs.sh
Summary: patch to mount gfs filesystem with fs.sh
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 06:22 UTC by macbogucki
Modified: 2010-08-09 15:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-09 15:58:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description macbogucki 2010-05-12 06:22:44 UTC
Description of problem:

I have shared storage with gfs on it, and I want to mount gfs filesystem by fs.sh script. An not it is not possible to do this. 

---cluster.conf---
<fs device="/dev/mapper/DBStor-Oracle" fsid="65237" fstype="gfs" mountpoint="/opt/oracle" name="Oracle" options="" force_fsck="0" self_fence="1"/>
---cluster.conf---

Version-Release number of selected component (if applicable):

rgmanager-2.0.52-6.el5

Additional info:

Here is the patch which allow to mount gfs filesystem by fs.sh script.

--- /tmp/fs.sh	2010-05-12 08:10:13.000000000 +0200
+++ /usr/share/cluster/fs.sh	2010-03-31 23:55:46.000000000 +0200
@@ -1021,6 +1021,7 @@
         minix)    typeset fsck_needed=yes ;;
         vfat)     typeset fsck_needed=yes ;;
         msdos)    typeset fsck_needed=yes ;;
+        gfs)      typeset fsck_needed="" ;;
 	"")       typeset fsck_needed=yes ;;		# assume fsck
 	*)
 		typeset fsck_needed=yes 		# assume fsck

Comment 1 Lon Hohberger 2010-05-26 19:51:06 UTC
You could use "clusterfs"...

<clusterfs device="/dev/mapper/DBStor-Oracle" fsid="65237" fstype="gfs"
mountpoint="/opt/oracle" name="Oracle" options="" force_fsck="0"
self_fence="1" force_unmount="1"/>

Comment 2 Lon Hohberger 2010-05-26 19:51:20 UTC
Any reason this doesn't work?


Note You need to log in before you can comment on or make changes to this bug.